Sympa::ListOpt(3Sympa)

NAME
Sympa::ListOpt - Definition of list configuration parameter values

DESCRIPTION
Sympa::ListOpt gives information about options used for values of list configuration.

  Function

get_option_description ( $that, $value, [ $type, [ $withval ] ] )
    Deprecated.

    Function. Gets i18n-ed title of option. Language context must be set in advance (See Sympa::Language).

    Parameters:

    $that
        Context, instance of Sympa::List, Robot or Site.

    $value
        Value of option.

    $type
        Type of option: field_type (see Sympa::ListDef) or other (list config option, default).

    $withval
        Adds value of option to returned title.

    Returns:

    I18n-ed title of option value.

SEE ALSO
Sympa::ListDef.

HISTORY
Sympa::ListOpt appeared on Sympa 6.2.13.